Page MenuHomePhabricator

puppet-compiler fails to compile production catalog for restbase2014
Closed, ResolvedPublic

Description

pcc fails to compile the current catalog for restbase2014, example run at https://puppet-compiler.wmflabs.org/compiler1002/19343/

Error:

Error: Failed to compile catalog for node restbase2014.codfw.wmnet: source sequence is illegal/malformed utf-8

puppet is fine in restbase2014 but it shows an extra message:

Info: Unable to serialize catalog to json, retrying with pson
WARNING: even though wmflib::secret exists it will not work untill we enable the rich_data configuration. If used the function will copy the base64 content to the destination instead of the binary file content Info: Unable to serialize catalog to json, retrying with pson

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 12 2019, 10:21 AM
jbond added a comment.Nov 13 2019, 5:02 PM

This seems to be related to PUP-8187 the puppet master --compile option in puppet version 5.5 doesn't correctly support pson and would ultimately be resolved by T236481 or T236373. This should only effect nodes which have a catalogue that sends binary data which most commonly happens when a file has the source parameter set to some binary content. There is an experimental switch simlar to future_parser and ill try to test this and add support to pcc next week

Change 569570 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] cassandra: use wmflib::secret for binary files

https://gerrit.wikimedia.org/r/569570

Change 569570 abandoned by Filippo Giunchedi:
cassandra: use wmflib::secret for binary files

Reason:
As per John, not viable ATM

https://gerrit.wikimedia.org/r/569570

Change 569570 restored by Filippo Giunchedi:
cassandra: use wmflib::secret for binary files

https://gerrit.wikimedia.org/r/569570

Change 569570 merged by Filippo Giunchedi:
[operations/puppet@production] cassandra: use wmflib::secret for binary files

https://gerrit.wikimedia.org/r/569570

jbond updated the task description. (Show Details)Feb 5 2020, 4:25 PM
jbond updated the task description. (Show Details)
jbond updated the task description. (Show Details)
jbond updated the task description. (Show Details)
jbond updated the task description. (Show Details)
jbond added a comment.Feb 7 2020, 12:28 PM

possible patch to puppet untested and could be a bad idea https://phabricator.wikimedia.org/P10344

Change 570889 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] puppet_compiler: update the puppet master --compile command to support pson

https://gerrit.wikimedia.org/r/570889

Change 570889 merged by Jbond:
[operations/puppet@production] puppet_compiler: update the puppet master --compile command to support pson

https://gerrit.wikimedia.org/r/570889

possible patch to puppet untested and could be a bad idea https://phabricator.wikimedia.org/P10344

I have applied this patch to the compilers and PCC seems to be working again. Please reopen if you see similar issues

jbond closed this task as Resolved.Feb 10 2020, 12:47 PM